<?php
/**
 * @package lh_fap
 */
/*
Plugin Name: free-images.cc Importer
Plugin URI: http://www.free-images.cc/plugin
Description: This plugin integrates the free-images.cc image library into your media browser. With this you have beautiful, free imagery available at the tip of your fingers.
Author: Luehrsen // Heinrich
Author URI: http://www.luehrsen-heinrich.de
Version: 0.6.2
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: free, images, image, pictures, media, import, creative commons
Domain Path: /lang
Text Domain: lhf
*/

// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

define( 'LHFAP__PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'LHFAP__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'LHFAP__PLUGIN_FILE', ( __FILE__ ) );


// Require needed files
require_once( LHFAP__PLUGIN_DIR . "/inc/lhfap.core.php" ); // The actual core of the plugin
require_once( LHFAP__PLUGIN_DIR . "/inc/lhfap.admin.php" ); // The administrational backend functions of the plugin
require_once( LHFAP__PLUGIN_DIR . "/inc/lhfap.import.php" ); // The administrational backend functions of the plugin
require_once( LHFAP__PLUGIN_DIR . "/inc/lhfap.templates.php" ); // The templates for our media frame view


// Initialize the class
$lh_fap = new LH_Fap_Plugin();